#pragma once

#include <maps/wikimap/mapspro/services/mrc/libs/privacy/include/geo_id_provider.h>

namespace maps::mrc::eye {

struct FakeGeoIdProvider : public privacy::GeoIdProvider {
    db::TIds load(const geolib3::Point2& /*geoPoint*/) const override {
        return {};
    }

    db::TIds load(const geolib3::BoundingBox& /*geoBox*/) const override {
        return {};
    }

    geolib3::MultiPolygon2 geomById(const db::TId /*geoId*/) const override {
        return {};
    }
};

privacy::GeoIdProviderPtr makeFakeGeoIdProvider();

} // namespace maps::mrc::eye
